VERSION 5.00
Begin VB.Form Nockylock 
   BorderStyle     =   5  'Sizable ToolWindow
   Caption         =   "Nockylock"
   ClientHeight    =   1185
   ClientLeft      =   -30
   ClientTop       =   8025
   ClientWidth     =   4065
   Icon            =   "Nockylock.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1185
   ScaleWidth      =   4065
   Begin VB.Timer tmrCountdown 
      Enabled         =   0   'False
      Interval        =   1000
      Left            =   2520
      Top             =   480
   End
   Begin VB.CommandButton cmdState 
      Caption         =   "Stop"
      Default         =   -1  'True
      Height          =   495
      Left            =   2760
      TabIndex        =   0
      Top             =   0
      Width           =   1215
   End
   Begin VB.Label lblState 
      Caption         =   "ChildLock"
      Height          =   975
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   2535
      WordWrap        =   -1  'True
   End
End
Attribute VB_Name = "Nockylock"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Nockylock - a program to lock mouse and keyboard input
' Copyright (C) 2005  Gluegood Software

' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
Option Explicit

Private Declare Function BlockInput Lib "user32" (ByVal fBlock As Long) As Long
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Private miCount As Integer
Private Const cLOCKTIME As Integer = 15

Public Sub cmdState_Click()
    ' Stop/Start the app.
    
    If cmdState.Caption = "Start" Then
        cmdState.Caption = "Stop"
        tmrCountdown.Enabled = True
    Else
        lblState.Caption = "Not locked" & vbCr & vbCr & "Press Start to lock"
        Nockylock.Caption = "Nockylock - UNLOCKED"
        cmdState.Caption = "Start"
        tmrCountdown.Enabled = False
        ChangeState False
        miCount = 0
    End If
    
    DoEvents
    
End Sub


Private Sub Form_Load()
    Dim hWnd As Long
        
    hWnd = FindWindowHandleFromName("Nockylock")
    SetWindowOrder hWnd, OnTop
    
    Nockylock.Caption = "Nockylock - UNLOCKED"
    cmdState.Caption = "Start"
    lblState.Caption = "Not locked" & vbCr & vbCr & "Press Start to lock"

End Sub


Private Sub tmrCountdown_Timer()
    miCount = miCount + 1
    If miCount > cLOCKTIME Then
        ' Lock
        ChangeState True
        lblState.Caption = "Locked " & vbCr & vbCr & "Press ALT-CTRL-DEL, then hit cancel and then hit 'Stop' on this application."
        Me.Caption = "Nockylock - LOCKED"
        tmrCountdown.Enabled = False
        miCount = 0
    Else
        ' Keep unlocked, however display countdown
        lblState.Caption = "Nockylock - " & cLOCKTIME - miCount + 1 & "s until locked"
        Me.Caption = lblState.Caption
        ChangeState False
        DoEvents
    End If
End Sub

Private Sub ChangeState(bState As Boolean)
    BlockInput bState   ' Lock / Unlock input
    DoEvents
End Sub




